import { ElementRef, OnChanges, SimpleChange, SimpleChanges } from '@angular/core';
import { Formatter, FormatterType } from './formatters';
export declare class ValueFlashComponent implements OnChanges {
    /**
     * Color value when the component flashes 'down'.
     */
    downColor: string;
    /**
     * One of the built in formatters.
     */
    formatter: FormatterType;
    /**
     * Pass your own formatter function.
     */
    formatterFn?: Formatter;
    /**
     * Prefix for the CSS selectors in the DOM.
     */
    stylePrefix: string;
    /**
     * Amount of time the flashed state is visible for, in milliseconds.
     */
    timeout: number;
    /**
     * Custom CSS transition property.
     */
    transition?: string;
    /**
     * Transition length, in milliseconds.
     */
    transitionLength: number;
    /**
     * Color value when the component flashes 'up'.
     */
    upColor: string;
    /**
     * Value to display. The only required prop.
     */
    value: number;
    valueHolderRef: ElementRef<HTMLElement>;
    private animationTimeout;
    constructor();
    get formattedValue(): any;
    get usedFormatter(): any;
    private get valueHolder();
    handleValueChange(valueChange: SimpleChange): void;
    ngOnChanges(changes: SimpleChanges): void;
    private clearFlashingState;
}
